dvb_mpeg_es_pic_start Struct Reference
Digital TV table parsing

MPEG ES Picture start header. More...

`#include <mpeg_es.h>`

## Data Fields

union { |
uint32_t bitfield |
struct { |
uint32_t type:8 |
uint32_t sync:24 |
} |
}; |
union { |
uint32_t bitfield2 |
struct { |
uint32_t dummy:3 |
uint32_t vbv_delay:16 |
uint32_t coding_type:3 |
uint32_t temporal_ref:10 |
} |
}; |

## Detailed Description

MPEG ES Picture start header.

Parameters

  type | DVB_MPEG_ES_PIC_START
  sync | Sync bytes
  dummy | Unused
  vbv_delay | VBV delay
  coding_type | Frame type (enum dvb_mpeg_es_frame_t)
  temporal_ref | Temporal sequence number

Definition at line 130 of file mpeg_es.h.

## Field Documentation

## [union]

union { ... } dvb_mpeg_es_pic_start

## [union]

union { ... } dvb_mpeg_es_pic_start

## bitfield

uint32_t dvb_mpeg_es_pic_start::bitfield

Definition at line 132 of file mpeg_es.h.

## bitfield2

uint32_t dvb_mpeg_es_pic_start::bitfield2

Definition at line 139 of file mpeg_es.h.

## coding_type

uint32_t dvb_mpeg_es_pic_start::coding_type

Definition at line 143 of file mpeg_es.h.

## dummy

uint32_t dvb_mpeg_es_pic_start::dummy

Definition at line 141 of file mpeg_es.h.

## sync

uint32_t dvb_mpeg_es_pic_start::sync

Definition at line 135 of file mpeg_es.h.

## temporal_ref

uint32_t dvb_mpeg_es_pic_start::temporal_ref

Definition at line 144 of file mpeg_es.h.

## type

uint32_t dvb_mpeg_es_pic_start::type

Definition at line 134 of file mpeg_es.h.

## vbv_delay

uint32_t dvb_mpeg_es_pic_start::vbv_delay

Definition at line 142 of file mpeg_es.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/mpeg_es.h